[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.OnItemChecked

Event handler signalled when the Checked property for a list item has been changed.

## Declaration

Source position: comctrls.pp line 1615

`protected property TCustomListView.OnItemChecked : TLVCheckedItemEvent read FOnItemChecked write FOnItemChecked;`

## Description

Signalled (when assigned) from the DoItemChecked method when the Checked property for a list item has been changed. It occurs when the LVN_ITEMCHANGED list view notification message is handled for the control..

## See also

TCustomListView.DoItemChecked |  | Synchronizes the checked state for an item with the widgetset class.